<?php declare(strict_types=1);

namespace Aviat\Kilo\Terminal;

use Aviat\Kilo\Traits;

/**
 * Just a namespace for C language constants
 */
class C {
	use Traits\ConstList;

	// ------------------------------------------------------------------------
	// ! Misc I/O constants
	// ------------------------------------------------------------------------

	public const STDIN_FILENO = 0;
	public const STDOUT_FILENO = 1;
	public const STDERR_FILENO = 2;
	public const TCSANOW = 0;
	public const TCSAFLUSH = 2;

	// ------------------------------------------------------------------------
	// ! IOCTL constants
	// ------------------------------------------------------------------------
	public const TIOCGWINSZ = 0x5413;
}